package demo;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

@Path("/")
public class SleepService {

    @GET
    @Path("sleep")
    @Produces(MediaType.APPLICATION_JSON)
    public String sleep(@QueryParam("millis") long millis) throws Exception {
        Thread.sleep(millis);
        return "{ \"millis\": \"" + millis + "\" }";
    }

}
